Skip to content

Directories

Create Directory
beta.directories.create(DirectoryCreateParams**kwargs) -> DirectoryCreateResponse
POST/api/v1/beta/directories
List Directories
beta.directories.list(DirectoryListParams**kwargs) -> SyncPaginatedCursor[DirectoryListResponse]
GET/api/v1/beta/directories
Get Directory
beta.directories.get(strdirectory_id, DirectoryGetParams**kwargs) -> DirectoryGetResponse
GET/api/v1/beta/directories/{directory_id}
Update Directory
beta.directories.update(strdirectory_id, DirectoryUpdateParams**kwargs) -> DirectoryUpdateResponse
PATCH/api/v1/beta/directories/{directory_id}
Delete Directory
beta.directories.delete(strdirectory_id, DirectoryDeleteParams**kwargs)
DELETE/api/v1/beta/directories/{directory_id}
ModelsExpand Collapse
class DirectoryCreateResponse:

API response schema for a directory.

id: str

Unique identifier for the directory.

name: str

Human-readable name for the directory.

minLength1
project_id: str

Project the directory belongs to.

created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source id the directory syncs from. Null if just manual uploads.

deleted_at: Optional[datetime]

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: Optional[str]

Optional description shown to users.

updated_at: Optional[datetime]

Update datetime

formatdate-time
class DirectoryListResponse:

API response schema for a directory.

id: str

Unique identifier for the directory.

name: str

Human-readable name for the directory.

minLength1
project_id: str

Project the directory belongs to.

created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source id the directory syncs from. Null if just manual uploads.

deleted_at: Optional[datetime]

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: Optional[str]

Optional description shown to users.

updated_at: Optional[datetime]

Update datetime

formatdate-time
class DirectoryGetResponse:

API response schema for a directory.

id: str

Unique identifier for the directory.

name: str

Human-readable name for the directory.

minLength1
project_id: str

Project the directory belongs to.

created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source id the directory syncs from. Null if just manual uploads.

deleted_at: Optional[datetime]

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: Optional[str]

Optional description shown to users.

updated_at: Optional[datetime]

Update datetime

formatdate-time
class DirectoryUpdateResponse:

API response schema for a directory.

id: str

Unique identifier for the directory.

name: str

Human-readable name for the directory.

minLength1
project_id: str

Project the directory belongs to.

created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source id the directory syncs from. Null if just manual uploads.

deleted_at: Optional[datetime]

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: Optional[str]

Optional description shown to users.

updated_at: Optional[datetime]

Update datetime

formatdate-time

DirectoriesFiles

Add Directory File
beta.directories.files.add(strdirectory_id, FileAddParams**kwargs) -> FileAddResponse
POST/api/v1/beta/directories/{directory_id}/files
List Directory Files
beta.directories.files.list(strdirectory_id, FileListParams**kwargs) -> SyncPaginatedCursor[FileListResponse]
GET/api/v1/beta/directories/{directory_id}/files
Get Directory File
beta.directories.files.get(strdirectory_file_id, FileGetParams**kwargs) -> FileGetResponse
GET/api/v1/beta/directories/{directory_id}/files/{directory_file_id}
Update Directory File
beta.directories.files.update(strdirectory_file_id, FileUpdateParams**kwargs) -> FileUpdateResponse
PATCH/api/v1/beta/directories/{directory_id}/files/{directory_file_id}
Delete Directory File
beta.directories.files.delete(strdirectory_file_id, FileDeleteParams**kwargs)
DELETE/api/v1/beta/directories/{directory_id}/files/{directory_file_id}
Upload File To Directory
beta.directories.files.upload(strdirectory_id, FileUploadParams**kwargs) -> FileUploadResponse
POST/api/v1/beta/directories/{directory_id}/files/upload
ModelsExpand Collapse
class FileAddResponse:

API response schema for a directory file.

id: str

Unique identifier for the directory file.

directory_id: str

Directory the file belongs to.

display_name: str

Display name for the file.

minLength1
project_id: str

Project the directory file belongs to.

unique_id: str

Unique identifier for the file in the directory

minLength1
created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source credential associated with the file.

deleted_at: Optional[datetime]

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: Optional[str]

File ID for the storage location.

metadata: Optional[Dict[str, Union[str, float, bool, null]]]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
str
float
bool
updated_at: Optional[datetime]

Update datetime

formatdate-time
class FileListResponse:

API response schema for a directory file.

id: str

Unique identifier for the directory file.

directory_id: str

Directory the file belongs to.

display_name: str

Display name for the file.

minLength1
project_id: str

Project the directory file belongs to.

unique_id: str

Unique identifier for the file in the directory

minLength1
created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source credential associated with the file.

deleted_at: Optional[datetime]

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: Optional[str]

File ID for the storage location.

metadata: Optional[Dict[str, Union[str, float, bool, null]]]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
str
float
bool
updated_at: Optional[datetime]

Update datetime

formatdate-time
class FileGetResponse:

API response schema for a directory file.

id: str

Unique identifier for the directory file.

directory_id: str

Directory the file belongs to.

display_name: str

Display name for the file.

minLength1
project_id: str

Project the directory file belongs to.

unique_id: str

Unique identifier for the file in the directory

minLength1
created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source credential associated with the file.

deleted_at: Optional[datetime]

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: Optional[str]

File ID for the storage location.

metadata: Optional[Dict[str, Union[str, float, bool, null]]]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
str
float
bool
updated_at: Optional[datetime]

Update datetime

formatdate-time
class FileUpdateResponse:

API response schema for a directory file.

id: str

Unique identifier for the directory file.

directory_id: str

Directory the file belongs to.

display_name: str

Display name for the file.

minLength1
project_id: str

Project the directory file belongs to.

unique_id: str

Unique identifier for the file in the directory

minLength1
created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source credential associated with the file.

deleted_at: Optional[datetime]

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: Optional[str]

File ID for the storage location.

metadata: Optional[Dict[str, Union[str, float, bool, null]]]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
str
float
bool
updated_at: Optional[datetime]

Update datetime

formatdate-time
class FileUploadResponse:

API response schema for a directory file.

id: str

Unique identifier for the directory file.

directory_id: str

Directory the file belongs to.

display_name: str

Display name for the file.

minLength1
project_id: str

Project the directory file belongs to.

unique_id: str

Unique identifier for the file in the directory

minLength1
created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source credential associated with the file.

deleted_at: Optional[datetime]

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: Optional[str]

File ID for the storage location.

metadata: Optional[Dict[str, Union[str, float, bool, null]]]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
str
float
bool
updated_at: Optional[datetime]

Update datetime

formatdate-time